import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import * as ElementPlusIconsVue from '@element-plus/icons-vue'
import './assets/gloable.css'
import pinia from './store'

const app = createApp(App)
//全局注册图标组件
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component)
}

app.use(ElementPlus, {size: 'small'})
//配置路由
app.use(router)
//使用pinia
app.use(pinia)

app.mount('#app')
